<h1 style="font-family: courier;" align="center"> satshakit-nero</h1>
<p align="center">
<img src="media/satshakit-nero-1.jpg" width="70%">
<div align="center"><i>An improved & fabbable multi-mcu flight controller board.</i></div>
</p>  

What is satshakit?
--

satshakit is a **Arduino IDE  and libraries compatible**, fabbable and open source board.

Here you can find all of the satshakit boards: **[satshakit organization](https://github.com/satshakit)**.

satshakit-nero
--

**satshakit-nero** is microcontroller board designed around the **ATMega1284P** and the **ATMega328P** chips and it is suitable for advanced drone applications and scenarios in which it is needed to have two available microcontrollers. The ATMega328P manages the flight with the **[Multiwii](http://www.multiwii.com/)** while the ATMega1284P can be used to inject and override the transmitter stick values (ROLL, PITCH, YAW and THROTTLE) or to manage a set of additional sensors. In the board there is a jumper to enable or disable the serial communication between the two microcontrollers (SERIAL_COMMON in the Eagle board).

The ATMega328P microntroller gives to this board all the features of the original **[satshakit flight controller board](https://github.com/satshakit/satshakit-flight-controller)**:

- support for [any drone configuration](http://www.multiwii.com/connecting-elements) up to **8 motors**
- support for up to **6 channels** receivers 
- **16mhz crystal** for precise clock, reliability and compatibility
- possibility to connect and use **any IMU working at 5V** 

And plus it adds the features of the **[satshakit-128](https://github.com/satshakit/satshakit-128)**:

- **128k** flash memory
- **2 serials**
- **16k of ram**
- **32 IO** pins

Here you can have a look on **satshakit-nero board**:

<img src="media/satshakit-nero-board.png" width="70%">

**downloads (right click, download as)**

- [satshakit-nero eagle schematic](https://raw.githubusercontent.com/satshakit/satshakit-nero/master/eagle/satshakit-nero/satshakit-nero.sch)
- [satshakit-nero eagle board](https://raw.githubusercontent.com/satshakit/satshakit-nero/master/eagle/satshakit-nero/satshakit-nero.brd)
- [satshakit-nero inside cut png](https://raw.githubusercontent.com/satshakit/satshakit-nero/master/media/satshakit-nero-inside.png)
- [satshakit-nero outsite cut png](https://raw.githubusercontent.com/satshakit/satshakit-nero/master/media/satshakit-nero-outside.png)

**media**

<img src="media/satshakit-nero-milled.jpg" width="70%">
<img src="media/satshakit-nero-2.jpg" width="70%">
<img src="media/satshakit-nero-3.jpg" width="70%">

satshakit-nero flying test:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=5o7xKqsNKFE
" target="_blank"><img src="http://img.youtube.com/vi/5o7xKqsNKFE/0.jpg" 
alt="http://img.youtube.com/vi/5o7xKqsNKFE/0.jpg" width="240" height="180" border="10" /></a>

Authors
--

- Daniele Ingrassia

Contact
--

- **ingrassiada@gmail.com**
- **[linkedin](http://it.linkedin.com/in/danieleingrassia)**

Thanks
--

[Aldo Sollazzo and Noumena.io](http://noumena.io/)

[Fablab Kamp-Lintfort](http://fablab.hochschule-rhein-waal.de/index.php/de/)<br />
Hochschule Rhein-Waal<br />
Friedrich-Heinrich-Allee 25, 47475 Kamp-Lintfort, Germany<br />
fablab@hochschule-rhein-waal.de


License
--
This work is licensed under the terms of Attribution-NonCommercial-ShareAlike 4.0 International ([CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/)).

Disclaimer  
--

<div class="align-justify">
This hardware/software is provided "as is", and you use the hardware/software at your own risk. Under no circumstances shall any author be liable for direct, indirect, special, incidental, or consequential damages resulting from the use, misuse, or inability to use this hardware/software, even if the authors have been advised of the possibility of such damages.</div>
